We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 6625 - Add DOI year cutoff OR Crossref XML year cutoff
Add DOI year cutoff OR Crossref XML year cutoff
Product: OJS
Classification: Unclassified
Component: Submissions and Publishing
All All
: P3 enhancement
Assigned To: Jason Nugent
Depends on:
  Show dependency treegraph
Reported: 2011-04-29 14:22 PDT by James MacGregor
Modified: 2015-02-17 14:07 PST (History)
9 users (show)

See Also:
Version Reported In:
Also Affects:


Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2011-04-29 14:22:44 PDT
See http://pkp.sfu.ca/support/forum/viewtopic.php?f=8&t=7447&p=28841#p28841 for discussion. I favour the DOI year cutoff method (that is, allow JMs to specify a year before which DOIs are not generated) since, as Piotreba points out, there may be other reasons besides paying Crossref why DOIs may not be necessary before a given year. However, the Crossref XML export plugin should handle this gracefully.
Comment 1 James MacGregor 2011-08-02 18:47:09 PDT
One more additional comment, somewhat culled from the forum thread: also allow for instances where individual articles may not need or want a DOI assigned to them.
Comment 2 Marc Bria 2014-03-04 05:19:48 PST
We are introducing DOI to our institution this year and this is a feature our magazines love to see.

Maybe what I will say now it's a little "out of topic" but what looks like a natural requirement is an "exclude this" feature to avoid assign DOIs to thesis, reviews, whatever...

Bozana, I read somewhere that you are working on this but I'm not able to find the issue in the bugtrack. Do you want me to create a bug?
Comment 3 Marc Bria 2014-03-04 05:28:54 PST
I found the post :-)

Just to make it perfectly clear, common scenarios are magazines:
a) start today to publish it's new issue with DOIs but still didn't submit the articles's archive", 
b) publish elements like "thesis, books reviews, editorial notes..." that include it's own DOI (thesis?) or don't need it at all.

Better if I open a new bug, isn't it?
Comment 4 Marc Bria 2014-03-05 00:34:06 PST
The origin of this bug:
Comment 5 Bozana Bokan 2014-03-05 00:59:30 PST
This post is also connected: http://pkp.sfu.ca/support/forum/viewtopic.php?f=2&t=11260
Comment 6 Bozana Bokan 2014-03-05 01:01:32 PST
Ah me crazy -- Marc already inserted it... Sorry!!! :-\
Comment 7 Alec Smecher 2014-03-05 15:26:27 PST
Marc, for excluding content from DOI generation, would it make sense to do this by section? (This would mean adding a new option on the Section form: "Exclude from DOI generation")
Comment 8 Bozana Bokan 2014-03-06 00:52:33 PST
I thought we could insert 2 checkboxes in the objects metadata -- a possibility to define if this object (e.g. issue) and its sub-objects (e.g. articles) should be excluded from the DOI assignment. 
Maybe to consider the sections as well.
Comment 9 Marc Bria 2014-03-06 02:13:19 PST
Both solutions (section and article) will work for our magazines.
At least for now. :-)

From a user perspective I think is better to go with one or the other but both... could be confusing to have two different places to configure similar stuff.

I imagine it as a checkbox in the issue construction form. When you build the TOC, you decide which articles will have DOI (with all checked by default).

Any case, Bozana has more elements so her opinion is essential.
Comment 10 Marc Bria 2014-04-07 04:51:04 PDT

Our journals are asking us if we are going to fix this issue.

Bozana, I know you are overwhelmed, so do you want me to make a dirty hack proposal?

I'm thinking in a config.ini.php variable (with the year or issue number) to define the cutoff and a hack in doi plugin (just for 2.4+ branch) to avoid assigning DOIs under the year of issue-number.

I think this will be enough for most of the journals, till we find a more elegant solution.

It's ok for you?

Comment 11 Keir Vaughan-Taylor 2014-04-16 15:52:33 PDT
We have a number of DOIs attached to journals that are minted elsewhere or created prior to the auto generation feature. Having auto generation excluded on the basis of date is not enough. We need to be able to manually edit the links and content of a DOI.

Is this possible. Can I do this using SQL?
Comment 12 Alec Smecher 2014-04-16 15:59:34 PDT
Keir, have a look at http://pkp.sfu.ca/support/forum/viewtopic.php?f=8&t=11964
Comment 13 Alec Smecher 2014-06-19 07:26:03 PDT
Pull request opened (not merged):
exclude and clear for single objects and exclude all issue object...
Comment 14 Alec Smecher 2014-07-14 06:10:03 PDT
Pull request synchronize (not merged):
exclude and clear for single objects and exclude all issue object...
Comment 15 Alec Smecher 2014-09-11 13:49:02 PDT
Pull request assigned (not merged):
exclude and clear for single objects and exclude all issue object...
Comment 16 Alec Smecher 2014-09-18 08:26:03 PDT
Pull request closed (not merged):
exclude and clear for single objects and exclude all issue object...
Comment 17 Alec Smecher 2014-09-18 08:39:25 PDT
Note: The attached pull request was automatically closed by github.com during the branch rename from ojs-stable-2_4 to ojs-dev-2_4. It should still be considered.
Comment 18 Alec Smecher 2015-02-03 12:28:04 PST
Jason, reassigning to you for PR review as per Monday's call.
Comment 19 Alec Smecher 2015-02-17 13:37:38 PST
There's a new pull request that supersedes the earlier one:
Comment 20 Alec Smecher 2015-02-17 14:07:42 PST
Moved: https://github.com/pkp/pkp-lib/issues/346